Skip to main content
GET
List webhooks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The agent's id

Response

The webhooks

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
url
string<uri>
required

Where Artil posts the agent's events

deliveredAt
string<date-time> | null
required
error
string | null
required

Why the last delivery failed

erroredAt
string<date-time> | null
required
attempts
integer
required

How many times the event Artil is retrying has failed

Required range: -9007199254740991 <= x <= 9007199254740991
retryAt
string<date-time> | null
required

When Artil next retries a failed event

createdAt
string<date-time>
required